Bug 962942 - [abrt] xfce4-panel-4.10.1-1.fc18: xfce_tasklist_button_enter_notify_event_disconnected: Process /usr/bin/xfce4-panel was killed by signal 11 (SIGSEGV) [NEEDINFO]
[abrt] xfce4-panel-4.10.1-1.fc18: xfce_tasklist_button_enter_notify_event_dis...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xfce4-panel (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:4c30c660e88decad02f7620d537...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-14 15:49 EDT by sanya.ove4ckin
Modified: 2014-02-05 18:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:09:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: needinfo?


Attachments (Terms of Use)
File: backtrace (29.89 KB, text/plain)
2013-05-14 15:49 EDT, sanya.ove4ckin
no flags Details
File: cgroup (128 bytes, text/plain)
2013-05-14 15:49 EDT, sanya.ove4ckin
no flags Details
File: core_backtrace (5.03 KB, text/plain)
2013-05-14 15:49 EDT, sanya.ove4ckin
no flags Details
File: dso_list (10.60 KB, text/plain)
2013-05-14 15:49 EDT, sanya.ove4ckin
no flags Details
File: environ (1.45 KB, text/plain)
2013-05-14 15:50 EDT, sanya.ove4ckin
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-14 15:50 EDT, sanya.ove4ckin
no flags Details
File: maps (50.08 KB, text/plain)
2013-05-14 15:50 EDT, sanya.ove4ckin
no flags Details
File: open_fds (2.31 KB, text/plain)
2013-05-14 15:50 EDT, sanya.ove4ckin
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2013-05-14 15:50 EDT, sanya.ove4ckin
no flags Details
File: var_log_messages (325 bytes, text/plain)
2013-05-14 15:50 EDT, sanya.ove4ckin
no flags Details

  None (edit)
Description sanya.ove4ckin 2013-05-14 15:49:40 EDT
Version-Release number of selected component:
xfce4-panel-4.10.1-1.fc18

Additional info:
backtrace_rating: 4
cmdline:        xfce4-panel --display :0.0 --sm-client-id 2272830cb-aa53-4599-bb04-b218c7e3a35c
crash_function: xfce_tasklist_button_enter_notify_event_disconnected
executable:     /usr/bin/xfce4-panel
kernel:         3.8.11-200.fc18.x86_64
uid:            1000
ureports_counter: 1
xsession_errors: (xfce4-panel:15576): libtasklist-CRITICAL **: tasklist-widget.c:2690 (xfce_tasklist_button_enter_notify_event_disconnected): expression 'WNCK_IS_WINDOW (child->window)' failed.

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 xfce_tasklist_button_enter_notify_event_disconnected at tasklist-widget.c:2690
 #1 closure_invoke_notifiers at gclosure.c:249
 #2 g_closure_unref at gclosure.c:599
 #3 handler_unref_R at gsignal.c:645
 #4 g_signal_handlers_destroy at gsignal.c:2639
 #9 gtk_object_dispose at gtkobject.c:421
 #11 gtk_menu_shell_forall at gtkmenushell.c:1113
 #12 gtk_container_destroy at gtkcontainer.c:1073
 #17 gtk_object_dispose at gtkobject.c:421
 #19 xfce_tasklist_group_button_menu_destroy at tasklist-widget.c:3260

Potential duplicate: bug 719802
Comment 1 sanya.ove4ckin 2013-05-14 15:49:47 EDT
Created attachment 747891 [details]
File: backtrace
Comment 2 sanya.ove4ckin 2013-05-14 15:49:51 EDT
Created attachment 747892 [details]
File: cgroup
Comment 3 sanya.ove4ckin 2013-05-14 15:49:54 EDT
Created attachment 747893 [details]
File: core_backtrace
Comment 4 sanya.ove4ckin 2013-05-14 15:49:57 EDT
Created attachment 747894 [details]
File: dso_list
Comment 5 sanya.ove4ckin 2013-05-14 15:50:01 EDT
Created attachment 747895 [details]
File: environ
Comment 6 sanya.ove4ckin 2013-05-14 15:50:05 EDT
Created attachment 747896 [details]
File: limits
Comment 7 sanya.ove4ckin 2013-05-14 15:50:09 EDT
Created attachment 747897 [details]
File: maps
Comment 8 sanya.ove4ckin 2013-05-14 15:50:14 EDT
Created attachment 747898 [details]
File: open_fds
Comment 9 sanya.ove4ckin 2013-05-14 15:50:17 EDT
Created attachment 747899 [details]
File: proc_pid_status
Comment 10 sanya.ove4ckin 2013-05-14 15:50:20 EDT
Created attachment 747900 [details]
File: var_log_messages
Comment 11 Kevin Fenzi 2013-05-14 16:41:08 EDT
What were you doing when this happened?

Can you duplicate it?
Comment 12 Roel van de Kraats 2013-09-19 05:25:43 EDT
Exited Firefox while looking at the 'windows group button' list.

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        xfce4-panel --display :0.0 --sm-client-id 24a3479c8-6abb-470c-89cd-f8ebb390a0db
crash_function: xfce_tasklist_button_enter_notify_event_disconnected
executable:     /usr/bin/xfce4-panel
kernel:         3.10.10-100.fc18.x86_64
package:        xfce4-panel-4.10.1-1.fc18
reason:         Process /usr/bin/xfce4-panel was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            578
Comment 13 Fedora End Of Life 2013-12-21 10:31:21 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2014-02-05 18:09:34 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.